Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Spatial Java API Reference 10g Release 2 (10.2) B14373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.spatial.util
Class ShapefileFeatureJGeom

`java.lang.Object
oracle.spatial.util.ShapefileFeatureJGeom`

public class ShapefileFeatureJGeom
extends java.lang.Object

This class helps to create features from a shapefile.

Constructor Summary
`ShapefileFeatureJGeom()`

Method Summary
`static java.util.Hashtable` | `fromRecordToFeature(DBFReaderJGeom dbf, ShapefileReaderJGeom sfr, byte[] fieldTypes, int numFields, int row, int srid)` Convert .dbf columns and .shp bytes into Feature instance.
`static java.lang.String[]` | `getOraFieldNames(DBFReaderJGeom dbf, byte[] fieldTypes, int numFields)`
`static java.lang.String` | `getRelSchema(DBFReaderJGeom dbf)`
`static java.lang.String` | `getRelSchema(DBFReaderJGeom dbf, java.lang.String gidName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShapefileFeatureJGeom

    public ShapefileFeatureJGeom()

Method Detail

### getRelSchema

    public static java.lang.String getRelSchema(DBFReaderJGeom dbf)

### getRelSchema

    public static java.lang.String getRelSchema(DBFReaderJGeom dbf,
                                                java.lang.String gidName)

### getOraFieldNames

    public static java.lang.String[] getOraFieldNames(DBFReaderJGeom dbf,
                                                      byte[] fieldTypes,
                                                      int numFields)
                                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### fromRecordToFeature

    public static java.util.Hashtable fromRecordToFeature(DBFReaderJGeom dbf,
                                                          ShapefileReaderJGeom sfr,
                                                          byte[] fieldTypes,
                                                          int numFields,
                                                          int row,
                                                          int srid)
                                                   throws java.io.IOException

  Convert .dbf columns and .shp bytes into Feature instance.
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Spatial Java API Reference 10g Release 2 (10.2) B14373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, Oracle. All Rights Reserved.